## ros-humble-ros-gz-image 0.244.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros_gz_image)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake REQUIRED)
find_package(image_transport REQUIRED)
find_package(ros_gz_bridge REQUIRED)
find_package(rclcpp REQUIRED)
find_package(sensor_msgs REQUIRED)

# TODO(CH3): Deprecated. Remove on tock.
if("$ENV{GZ_VERSION}" STREQUAL "" AND NOT "$ENV{IGNITION_VERSION}" STREQUAL "")
  message(DEPRECATION "Environment variable [IGNITION_VERSION] is deprecated. Use [GZ_VERSION] instead.")
  set(ENV{GZ_VERSION} $ENV{IGNITION_VERSION})
endif()

# Edifice
if("$ENV{GZ_VERSION}" STREQUAL "edifice")
  find_package(ignition-transport10 REQUIRED)
  set(GZ_TRANSPORT_VER ${ignition-transport10_VERSION_MAJOR})

  find_package(ignition-msgs7 REQUIRED)
  set(GZ_MSGS_VER ${ignition-msgs7_VERSION_MAJOR})

  set(GZ_TARGET_PREFIX ignition)

  message(STATUS "Compiling against Ignition Edifice")
# Fortress
elseif("$ENV{GZ_VERSION}" STREQUAL "garden")
  find_package(gz-transport12 REQUIRED)
  set(GZ_TRANSPORT_VER ${gz-transport12_VERSION_MAJOR})

  find_package(gz-msgs9 REQUIRED)
  set(GZ_MSGS_VER ${gz-msgs9_VERSION_MAJOR})

  set(GZ_TARGET_PREFIX gz)

  message(STATUS "Compiling against Gazebo Garden")
# Default to Fortress
else()
  find_package(ignition-transport11 REQUIRED)
  set(GZ_TRANSPORT_VER ${ignition-transport11_VERSION_MAJOR})

  find_package(ignition-msgs8 REQUIRED)
  set(GZ_MSGS_VER ${ignition-msgs8_VERSION_MAJOR})

  set(GZ_TARGET_PREFIX ignition)

  message(STATUS "Compiling against Ignition Fortress")
endif()

include_directories(include)

set(executable
  image_bridge
)

add_executable(${executable}
  src/image_bridge.cpp
)

target_link_libraries(${executable}
  ${GZ_TARGET_PREFIX}-msgs${GZ_MSGS_VER}::core
  ${GZ_TARGET_PREFIX}-transport${GZ_TRANSPORT_VER}::core
)

ament_target_dependencies(${executable}
  "image_transport"
  "ros_gz_bridge"
  "rclcpp"
  "sensor_msgs"
)

install(TARGETS ${executable}
  DESTINATION lib/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  # find_package(rostest REQUIRED)
  #
  # set(test_publishers
  #   gz_publisher
  # )
  #
  # set(test_subscribers
  #   ros_subscriber
  # )
  #
  # foreach(test_publisher ${test_publishers})
  #   add_executable(${test_publisher}_image
  #     test/publishers/${test_publisher}.cpp
  #   )
  #   target_link_libraries(${test_publisher}_image
  #     ${catkin_LIBRARIES}
  #     ${GZ_TARGET_PREFIX}-msgs${GZ_MSGS_VER}::core
  #     ${GZ_TARGET_PREFIX}-transport${GZ_TRANSPORT_VER}::core
  #     gtest
  #     gtest_main
  #   )
  # endforeach(test_publisher)
  #
  # foreach(test_subscriber ${test_subscribers})
  #   add_rostest_gtest(test_${test_subscriber}_image
  #     test/${test_subscriber}.test
  #     test/subscribers/${test_subscriber}.cpp)
  #   target_link_libraries(test_${test_subscriber}_image
  #     ${catkin_LIBRARIES}
  #     ${GZ_TARGET_PREFIX}-msgs${GZ_MSGS_VER}::core
  #     ${GZ_TARGET_PREFIX}-transport${GZ_TRANSPORT_VER}::core
  #   )
  # endforeach(test_subscriber)
endif()

ament_package()

=== debian/changelog ===
ros-humble-ros-gz-image (0.244.11-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Tue, 23 May 2023 05:00:00 -0000

ros-humble-ros-gz-image (0.244.10-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Wed, 03 May 2023 05:00:00 -0000

ros-humble-ros-gz-image (0.244.9-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 03 Nov 2022 05:00:00 -0000

ros-humble-ros-gz-image (0.244.8-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Fri, 28 Oct 2022 05:00:00 -0000

ros-humble-ros-gz-image (0.244.7-1jammy) jammy; urgency=high

  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Contributors: Michael Carroll

 -- Louise Poubel <louise@openrobotics.org>  Wed, 12 Oct 2022 05:00:00 -0000

ros-humble-ros-gz-image (0.244.6-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Wed, 14 Sep 2022 05:00:00 -0000

ros-humble-ros-gz-image (0.244.5-1jammy) jammy; urgency=high

  * Add missing GZ_VERSION ticktocks (#289 <https://github.com/gazebosim/ros_gz/issues/289>)
  * Support ros_ign migration (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
    Clean up shared libraries, and tick-tock RosGzPointCloud
    Tick-tock launch args
    Hard-tock ign_ in sources
    Migrate ign, ign_, IGN_ for sources, launch, and test files
    Migrate IGN_XXX_VER, IGN_T, header guards
    Migrate launchfile, launchfile args, and test source references
    Migrate ros_ign_XXX and gz_gazebo -> gz_sim
    Migrate ros_ign_XXX project names
    Migrate Ign, ign-, IGN_DEPS, ign-gazebo
    Migrate ignitionrobotics, ignitionrobotics/ros_ign, osrf/ros_ign
    Migrate ignition-version, IGNITION_VERSION, Ignition <LIB>, ros_ign_ci
  * Move packages and files to gz (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
  * Contributors: methylDragon

 -- Louise Poubel <louise@openrobotics.org>  Mon, 12 Sep 2022 05:00:00 -0000

ros-humble-ros-gz-image (0.244.3-1jammy) jammy; urgency=high

  * [ros2] README updates (service bridge, Gazebo rename) (#252 <https://github.com/gazebosim/ros_gz/issues/252>)
  * Fix linter tests (#251 <https://github.com/gazebosim/ros_gz/issues/251>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: Daisuke Nishimatsu, Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Thu, 19 May 2022 05:00:00 -0000

ros-humble-ros-gz-image (0.244.2-1jammy) jammy; urgency=high

  * Bring ros2 branch up-to-date with Rolling (#213 <https://github.com/gazebosim/ros_gz/issues/213>)
  * Separate galactic branch from ros2 branch (#201 <https://github.com/gazebosim/ros_gz/issues/201>)
  * 🏁 Dome EOL (#198 <https://github.com/gazebosim/ros_gz/issues/198>)
  * Fix Deprecation Warning (#158 <https://github.com/gazebosim/ros_gz/issues/158>)
  * Contributors: David V. Lu!!, Louise Poubel, Michael Carroll

 -- Louise Poubel <louise@openrobotics.org>  Mon, 25 Apr 2022 05:00:00 -0000

ros-humble-ros-gz-image (0.244.1-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Tue, 04 Jan 2022 06:00:00 -0000

ros-humble-ros-gz-image (0.244.0-1jammy) jammy; urgency=high

  * Default to Fortress for Rolling (future Humble) (#195 <https://github.com/gazebosim/ros_gz/issues/195>)
  * [ros2] 🏁 Dome EOL (#199 <https://github.com/gazebosim/ros_gz/issues/199>)
  * Statically link each translation unit (#193 <https://github.com/gazebosim/ros_gz/issues/193>)
  * Contributors: Guillaume Doisy, Louise Poubel, Michael Carroll

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Dec 2021 06:00:00 -0000

ros-humble-ros-gz-image (0.233.2-1jammy) jammy; urgency=high

  * [ros2] Update version docs, add Galactic and Fortress (#164 <https://github.com/gazebosim/ros_gz/issues/164>)
  * Fix Deprecation Warning (#158 <https://github.com/gazebosim/ros_gz/issues/158>)
  * Contributors: David V. Lu!!, Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Tue, 20 Jul 2021 05:00:00 -0000

ros-humble-ros-gz-image (0.233.1-1jammy) jammy; urgency=high

  * Default to Edifice for Rolling (#150 <https://github.com/gazebosim/ros_gz/issues/150>)
  * Edifice support (#140 <https://github.com/gazebosim/ros_gz/issues/140>)
  * Update releases (#108 <https://github.com/gazebosim/ros_gz/issues/108>)
  * Add support for Dome (#103 <https://github.com/gazebosim/ros_gz/issues/103>)
  * Contributors: Louise Poubel, Luca Della Vedova

 -- Louise Poubel <louise@openrobotics.org>  Fri, 16 Apr 2021 05:00:00 -0000

ros-humble-ros-gz-image (0.221.1-1jammy) jammy; urgency=high

  * Add pkg-config as a buildtool dependency (#102 <https://github.com/gazebosim/ros_gz/issues/102>)
  * Contributors: Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Wed, 19 Aug 2020 05:00:00 -0000

ros-humble-ros-gz-image (0.221.0-1jammy) jammy; urgency=high

  * Install only what's necessary, rename builtin_interfaces (#95 <https://github.com/gazebosim/ros_gz/issues/95>)
  * Add CI for Eloquent (#86 <https://github.com/gazebosim/ros_gz/issues/86>)
  * Avoid the use of --ros-args arguments outside ros (#84 <https://github.com/gazebosim/ros_gz/issues/84>)
  * [WIP] Port ign_ros_gazebo_demos to ROS2 (#58 <https://github.com/gazebosim/ros_gz/issues/58>)
    Port ros_gz_image to ROS2
    Port ros_gz_sim_demos to ROS2
  * Enable ROS2 CI for Dashing branch (#43 <https://github.com/gazebosim/ros_gz/issues/43>)
  * Make all API and comments ROS-version agnostic
  * Rename packages and fix compilation + tests
  * Move files ros1 -> ros
  * Contributors: Alejandro Hernández Cordero, Jose Luis Rivero, Louise Poubel, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Thu, 23 Jul 2020 05:00:00 -0000

ros-humble-ros-gz-image (0.7.0-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 15 Aug 2019 05:00:00 -0000

ros-humble-ros-gz-image (0.6.3-1jammy) jammy; urgency=high

  * Merge pull request #36 <https://github.com/osrf/ros1_ign_bridge/issues/36> from osrf/restest_depen_image


=== debian/control ===
Source: ros-humble-ros-gz-image
Section: misc
Priority: optional
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libignition-msgs8-dev, libignition-transport11-dev, pkg-config, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-image-transport, ros-humble-rclcpp, ros-humble-ros-gz-bridge, ros-humble-sensor-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ros-gz-image
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-msgs8-dev, libignition-transport11-dev, ros-humble-image-transport, ros-humble-rclcpp, ros-humble-ros-gz-bridge, ros-humble-sensor-msgs, ros-humble-ros-workspace
Description: Image utilities for Gazebo simulation with ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-gz-image//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-ros-gz-image 0.244.16

=== debian/changelog ===
ros-humble-ros-gz-image (0.244.16-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 21 Jul 2024 16:00:00 -0000

ros-humble-ros-gz-image (0.244.15-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Tue, 02 Jul 2024 16:00:00 -0000

ros-humble-ros-gz-image (0.244.14-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 07 Apr 2024 16:00:00 -0000

ros-humble-ros-gz-image (0.244.13-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Mon, 22 Jan 2024 16:00:00 -0000

ros-humble-ros-gz-image (0.244.12-1bookworm) bookworm; urgency=high

  * Add support for Harmonic/Humble pairing (#462 <https://github.com/gazebosim/ros_gz/issues/462>)
  * Fix double wait in ros_gz_bridge (#347 <https://github.com/gazebosim/ros_gz/issues/347>) (#450 <https://github.com/gazebosim/ros_gz/issues/450>)
  * Contributors: Addisu Z. Taddese, Alejandro Hernández Cordero

 -- Louise Poubel <louise@openrobotics.org>  Tue, 12 Dec 2023 16:00:00 -0000

ros-humble-ros-gz-image (0.244.11-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Mon, 22 May 2023 16:00:00 -0000

ros-humble-ros-gz-image (0.244.10-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Tue, 02 May 2023 16:00:00 -0000

ros-humble-ros-gz-image (0.244.9-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Wed, 02 Nov 2022 16:00:00 -0000

ros-humble-ros-gz-image (0.244.8-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 27 Oct 2022 16:00:00 -0000

ros-humble-ros-gz-image (0.244.7-1bookworm) bookworm; urgency=high

  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Contributors: Michael Carroll

 -- Louise Poubel <louise@openrobotics.org>  Tue, 11 Oct 2022 16:00:00 -0000

ros-humble-ros-gz-image (0.244.6-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Tue, 13 Sep 2022 16:00:00 -0000

ros-humble-ros-gz-image (0.244.5-1bookworm) bookworm; urgency=high

  * Add missing GZ_VERSION ticktocks (#289 <https://github.com/gazebosim/ros_gz/issues/289>)
  * Support ros_ign migration (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
    Clean up shared libraries, and tick-tock RosGzPointCloud
    Tick-tock launch args
    Hard-tock ign_ in sources
    Migrate ign, ign_, IGN_ for sources, launch, and test files
    Migrate IGN_XXX_VER, IGN_T, header guards
    Migrate launchfile, launchfile args, and test source references
    Migrate ros_ign_XXX and gz_gazebo -> gz_sim
    Migrate ros_ign_XXX project names
    Migrate Ign, ign-, IGN_DEPS, ign-gazebo
    Migrate ignitionrobotics, ignitionrobotics/ros_ign, osrf/ros_ign
    Migrate ignition-version, IGNITION_VERSION, Ignition <LIB>, ros_ign_ci
  * Move packages and files to gz (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
  * Contributors: methylDragon

 -- Louise Poubel <louise@openrobotics.org>  Sun, 11 Sep 2022 16:00:00 -0000

ros-humble-ros-gz-image (0.244.3-1bookworm) bookworm; urgency=high

  * [ros2] README updates (service bridge, Gazebo rename) (#252 <https://github.com/gazebosim/ros_gz/issues/252>)
  * Fix linter tests (#251 <https://github.com/gazebosim/ros_gz/issues/251>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: Daisuke Nishimatsu, Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Wed, 18 May 2022 16:00:00 -0000

ros-humble-ros-gz-image (0.244.2-1bookworm) bookworm; urgency=high

  * Bring ros2 branch up-to-date with Rolling (#213 <https://github.com/gazebosim/ros_gz/issues/213>)
  * Separate galactic branch from ros2 branch (#201 <https://github.com/gazebosim/ros_gz/issues/201>)
  * 🏁 Dome EOL (#198 <https://github.com/gazebosim/ros_gz/issues/198>)
  * Fix Deprecation Warning (#158 <https://github.com/gazebosim/ros_gz/issues/158>)
  * Contributors: David V. Lu!!, Louise Poubel, Michael Carroll

 -- Louise Poubel <louise@openrobotics.org>  Sun, 24 Apr 2022 16:00:00 -0000

ros-humble-ros-gz-image (0.244.1-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Mon, 03 Jan 2022 16:00:00 -0000

ros-humble-ros-gz-image (0.244.0-1bookworm) bookworm; urgency=high

  * Default to Fortress for Rolling (future Humble) (#195 <https://github.com/gazebosim/ros_gz/issues/195>)
  * [ros2] 🏁 Dome EOL (#199 <https://github.com/gazebosim/ros_gz/issues/199>)
  * Statically link each translation unit (#193 <https://github.com/gazebosim/ros_gz/issues/193>)
  * Contributors: Guillaume Doisy, Louise Poubel, Michael Carroll

 -- Louise Poubel <louise@openrobotics.org>  Wed, 29 Dec 2021 16:00:00 -0000

ros-humble-ros-gz-image (0.233.2-1bookworm) bookworm; urgency=high

  * [ros2] Update version docs, add Galactic and Fortress (#164 <https://github.com/gazebosim/ros_gz/issues/164>)
  * Fix Deprecation Warning (#158 <https://github.com/gazebosim/ros_gz/issues/158>)
  * Contributors: David V. Lu!!, Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Mon, 19 Jul 2021 16:00:00 -0000

ros-humble-ros-gz-image (0.233.1-1bookworm) bookworm; urgency=high

  * Default to Edifice for Rolling (#150 <https://github.com/gazebosim/ros_gz/issues/150>)
  * Edifice support (#140 <https://github.com/gazebosim/ros_gz/issues/140>)
  * Update releases (#108 <https://github.com/gazebosim/ros_gz/issues/108>)
  * Add support for Dome (#103 <https://github.com/gazebosim/ros_gz/issues/103>)
  * Contributors: Louise Poubel, Luca Della Vedova

 -- Louise Poubel <louise@openrobotics.org>  Thu, 15 Apr 2021 16:00:00 -0000

ros-humble-ros-gz-image (0.221.1-1bookworm) bookworm; urgency=high

  * Add pkg-config as a buildtool dependency (#102 <https://github.com/gazebosim/ros_gz/issues/102>)
  * Contributors: Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Tue, 18 Aug 2020 16:00:00 -0000

ros-humble-ros-gz-image (0.221.0-1bookworm) bookworm; urgency=high



=== debian/control ===
Source: ros-humble-ros-gz-image
Section: misc
Priority: optional
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libignition-msgs-dev, libignition-transport-dev, pkg-config, ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-image-transport, ros-humble-rclcpp, ros-humble-ros-gz-bridge, ros-humble-sensor-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ros-gz-image
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-msgs-dev, libignition-transport-dev, ros-humble-image-transport, ros-humble-rclcpp, ros-humble-ros-gz-bridge, ros-humble-sensor-msgs, ros-humble-ros-workspace
Description: Image utilities for Gazebo simulation with ROS.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-gz-image//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-gz-image//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-ros-gz-image//opt/ros/humble/opt/ros_gz_image/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
